Bug 170740 - Custom ca-bundle.crt overwritten on upgrade
Custom ca-bundle.crt overwritten on upgrade
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openssl (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-10-14 07:32 EDT by Slawomir Czarko
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0661
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-06 16:21:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Slawomir Czarko 2005-10-14 07:32:00 EDT
Description of problem:
ca-bundle.pem is not listed as a configuration file, causing it to be replaced
during upgrades of the openssl package.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. customize /usr/share/ssl/certs/ca-bundle.pem
2. install new version of openssl
Actual results:
ca-bundle.pem is replaced

Expected results:
ca-bundle.pem should be untouched during an upgrade

Additional info:
This is the same bug as 158568 reported for Fedora Core 3
Comment 1 Tomas Mraz 2005-10-14 07:40:42 EDT
We will consider fixing this bug in future if the openssl packages are updated
for other reasons (security or critical bug fixes).
Comment 3 Slawomir Czarko 2005-10-14 08:35:05 EDT
This bug causes severe problems if the server is using TLS with LDAP and a
certificate signed by a locally created certification authority.
After ca-bundle.crt gets overwritten all the services which use LDAP stop
working because server can't validate the certificate used by TLS. On one of the
servers even logging in as root or local user wasn't working.
Comment 4 Tomas Mraz 2005-10-14 09:59:38 EDT
I agree that this bug is serious but I see no point in updating the package just
for this bug. It's just necessary to fix the bug if an updated package is
released again (for other reasons).
Comment 5 Slawomir Czarko 2005-10-14 10:25:39 EDT
Is it possible to issue a release note or some warning so other people don't get
affected by this bug? We've spent about 20 hrs here before we've found the
reason for the outage of our servers.
Comment 9 Red Hat Bugzilla 2006-09-06 16:21:14 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.